Loading...
Searching...
No Matches
MappableGraphComponent< BAS > Class Template Reference

## Detailed Description

template<typename BAS = BaseGraphComponent>
class lemon::concepts::MappableGraphComponent< BAS >

This class describes the interface of mappable undirected graphs. It extends MappableDigraphComponent with the standard graph map class for edges (`EdgeMap`). This concept is part of the Graph concept.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for MappableGraphComponent< BAS >:
[legend]

## Classes

class | EdgeMap
| Standard graph map for the edges. More...

## Additional Inherited Members

Public Types inherited from BaseDigraphComponent
typedef GraphItem< 'n'> | Node
| Node class of the digraph.
typedef GraphItem< 'a'> | Arc
| Arc class of the digraph.
Public Member Functions inherited from BaseGraphComponent
Node | u (const Edge &) const
| Return one end node of an edge.
Node | v (const Edge &) const
| Return the other end node of an edge.
Arc | direct (const Edge &, bool) const
| Return a directed arc related to an edge.
Arc | direct (const Edge &, const Node &) const
| Return a directed arc related to an edge.
bool | direction (const Arc &) const
| Return the direction of the arc.
Arc | oppositeArc (const Arc &) const
| Return the opposite arc.
Public Member Functions inherited from BaseDigraphComponent
Node | source (const Arc &) const
| Return the source node of an arc.
Node | target (const Arc &) const
| Return the target node of an arc.
Node | oppositeNode (const Node &, const Arc &) const
| Return the opposite node on the given arc.